# Method: gauges.get

- [HTTP request](https://developers.google.com/flood-forecasting/rest/v1/gauges/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/flood-forecasting/rest/v1/gauges/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/flood-forecasting/rest/v1/gauges/get#body.request_body)
- [Response body](https://developers.google.com/flood-forecasting/rest/v1/gauges/get#body.response_body)

Get metadata about a gauge.

### HTTP request

`GET https://floodforecasting.googleapis.com/v1/{name=gauges/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the gauge to retrieve. Name format: gauges/{gaugeId}. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/flood-forecasting/rest/v1/gauges#Gauge`.